# Type alias Attestation<PN>

Attestation<PN>: PN extends "TokenBridge" | "AutomaticTokenBridge"
? AutomaticTokenBridge.VAA | TokenBridge.VAA
: PN extends "AutomaticCircleBridge"
? AutomaticCircleBridge.VAA
: PN extends "CircleBridge"
? CircleBridge.Attestation
: PN extends "IbcBridge"
? IbcTransferData
: never

#### Type Parameters

- #### PN extends ProtocolName = ProtocolName

- Defined in core/definitions/dist/esm/attestation.d.ts:9

Generated using TypeDoc